import type { DataPreview } from "./Encode";
import { Encode } from "./Encode";
export declare function Table<T extends object>(data: T, deepLink?: false | number, noCollapse?: boolean): {
    readonly table: Record<string, Record<string, DataPreview.objReal[""]["@value"]>>;
    readonly cols: string[];
    readonly "@location"?: string;
    readonly "@collapse"?: ReturnType<typeof Encode>;
};
export declare function isTable(data: any): data is ReturnType<typeof Table>;
